diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/BrowserElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/BrowserElement.java
index 7ed905ac0..a1d790fc2 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/BrowserElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/BrowserElement.java
@@ -12,6 +12,8 @@ import org.eclipse.swt.events.ControlListener;
 import org.eclipse.swt.graphics.Rectangle;
 import org.eclipse.ui.forms.widgets.TableWrapData;
 
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+
 /**
  * <p>BrowserElement class.</p>
  *
@@ -28,18 +30,18 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	 * <p>Constructor for BrowserElement.</p>
 	 *
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param imageUri a {@link java.net.URI} object.
 	 */
-	protected BrowserElement(CdmFormFactory formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
+	public BrowserElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
 		super(formFactory, parentElement);
 		formFactory.createLabel(getLayoutComposite(), "");
 		
 		browser = new Browser(getLayoutComposite(), SWT.NONE);
 		addControl(browser);
 		
-		getLayoutComposite().setLayoutData(CdmFormFactory.FILL());
+		getLayoutComposite().setLayoutData(CdmFormFactoryFacade.FILL());
 		
 
 		layoutBrowser();
@@ -54,7 +56,7 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	 * 
 	 */
 	private void layoutBrowser() {
-		TableWrapData layoutData = CdmFormFactory.FILL();
+		TableWrapData layoutData = CdmFormFactoryFacade.FILL();
 		layoutData.heightHint = 1000;
 		
 		browser.setLayoutData(layoutData);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/CheckboxElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/CheckboxElement.java
index 8ad897a52..94532e115 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/CheckboxElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/CheckboxElement.java
@@ -18,6 +18,7 @@ import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * <p>CheckboxElement class.</p>
@@ -37,11 +38,11 @@ public class CheckboxElement extends AbstractCdmFormElement implements Selection
 	 *
 	 * @param initialState a boolean.
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 */
-	protected CheckboxElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString, boolean initialState,
+	public CheckboxElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, String labelString, boolean initialState,
 			int style) {
 		super(formFactory, parentElement);
 		
@@ -51,7 +52,7 @@ public class CheckboxElement extends AbstractCdmFormElement implements Selection
 		}
 		
 		checkbox = formFactory.createButton(getLayoutComposite(), null, SWT.CHECK | style);
-		checkbox.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		checkbox.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		
 		checkbox.setSelection(initialState);
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/DateDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/DateDetailSection.java
index ea2d80b29..8c9950e8e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/DateDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/DateDetailSection.java
@@ -16,6 +16,7 @@ import org.joda.time.Partial;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
 
 /**
@@ -41,7 +42,7 @@ public class DateDetailSection extends AbstractFormSection<TimePeriod> {
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param parentElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -49,7 +50,7 @@ public class DateDetailSection extends AbstractFormSection<TimePeriod> {
 	 * @param style
 	 *            a int.
 	 */
-	protected DateDetailSection(CdmFormFactory formFactory,
+	public DateDetailSection(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, int style) {
 		super(formFactory, null, parentElement, style);
 
@@ -61,12 +62,12 @@ public class DateDetailSection extends AbstractFormSection<TimePeriod> {
 		text_parseText = formFactory.createTextWithLabelElement(this, "Parse",
 				null, style);
 		text_parseText.getMainControl().setLayoutData(
-				CdmFormFactory.FILL_HORIZONTALLY(6, 1));
+				CdmFormFactoryFacade.FILL_HORIZONTALLY(6, 1));
 
 		text_freeText = formFactory.createTextWithLabelElement(this,
 				"Freetext", null, style);
 		text_freeText.getMainControl().setLayoutData(
-				CdmFormFactory.FILL_HORIZONTALLY(6, 1));
+				CdmFormFactoryFacade.FILL_HORIZONTALLY(6, 1));
 
 		formFactory.addPropertyChangeListener(this);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ImageElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ImageElement.java
index 02e762975..8db5afa37 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ImageElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ImageElement.java
@@ -34,6 +34,7 @@ import org.eclipse.ui.forms.widgets.TableWrapData;
 
 import eu.etaxonomy.cdm.common.UriUtils;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 
 /**
@@ -55,19 +56,19 @@ public class ImageElement extends AbstractCdmFormElement implements PaintListene
 	/**
 	 * <p>Constructor for ImageElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param imageUri a {@link java.net.URI} object.
 	 * @param style a int.
 	 */
-	protected ImageElement(CdmFormFactory formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
+	public ImageElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
 		super(formFactory, parentElement);
 			
 		/** RAPSS:Modify Must be Canvas in order to support GC drawing in RAP
 		container = new Composite(getLayoutComposite(), style);
 		*/
 		container = new Canvas(getLayoutComposite(), style);
-		container.setLayoutData(CdmFormFactory.FILL(2, 1));
+		container.setLayoutData(CdmFormFactoryFacade.FILL(2, 1));
 		
 		container.addPaintListener(this);
 	}
@@ -210,7 +211,7 @@ public class ImageElement extends AbstractCdmFormElement implements PaintListene
 	/** {@inheritDoc} */
 	@Override
 	public void paintControl(PaintEvent e) {
-		TableWrapData layoutData = CdmFormFactory.FILL(2, 1);
+		TableWrapData layoutData = CdmFormFactoryFacade.FILL(2, 1);
 		Control control = (Control) e.widget;
 		if(image != null){
 			Rectangle imageMaxBounds = calculateImageBounds(image, control);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyStatementElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyStatementElement.java
index f15f7d197..6f584f4fb 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyStatementElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyStatementElement.java
@@ -13,6 +13,7 @@ package eu.etaxonomy.taxeditor.ui.forms;
 import org.eclipse.jface.util.PropertyChangeEvent;
 
 import eu.etaxonomy.cdm.model.description.KeyStatement;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * @author n.hoffmann
@@ -27,7 +28,7 @@ public class KeyStatementElement extends MultilanguageTextElement {
 	 * @param formFactory
 	 * @param formElement
 	 */
-	public KeyStatementElement(CdmFormFactory formFactory,
+	public KeyStatementElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, String labelString,
 			KeyStatement keyStatement, int textHeight, int style) {
 		super(formFactory, formElement, labelString, null, textHeight, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyValueViewerElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyValueViewerElement.java
index d6ad4f350..1453bbe78 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyValueViewerElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/KeyValueViewerElement.java
@@ -16,6 +16,8 @@ import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.ui.forms.widgets.TableWrapData;
 
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+
 /**
  * <p>KeyValueViewerElement class.</p>
  *
@@ -31,18 +33,18 @@ public class KeyValueViewerElement extends AbstractCdmFormElement {
 	/**
 	 * <p>Constructor for KeyValueViewerElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param keyHeading a {@link java.lang.String} object.
 	 * @param valueHeading a {@link java.lang.String} object.
 	 * @param map a {@link java.util.Map} object.
 	 */
-	public KeyValueViewerElement(CdmFormFactory formFactory,
+	public KeyValueViewerElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, String keyHeading, String valueHeading, Map<Object, Object> map) {
 		super(formFactory, formElement);
 		
 		label = formFactory.createLabel(getLayoutComposite(), "Meta Data");
-		label.setLayoutData(CdmFormFactory.FILL(2, 1));
+		label.setLayoutData(CdmFormFactoryFacade.FILL(2, 1));
 		addControl(label);
 		
 		tableViewer = new TableViewer(formElement.getLayoutComposite(), SWT.MULTI | SWT.H_SCROLL
@@ -51,7 +53,7 @@ public class KeyValueViewerElement extends AbstractCdmFormElement {
 		
 		createColumns(tableViewer, keyHeading, valueHeading);
 		
-		TableWrapData layoutData = CdmFormFactory.FILL(2, 1);
+		TableWrapData layoutData = CdmFormFactoryFacade.FILL(2, 1);
 		layoutData.heightHint = 100;
 		
 		tableViewer.getControl().setLayoutData(layoutData);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/LabelElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/LabelElement.java
index 7fc5174d3..1672ce4c6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/LabelElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/LabelElement.java
@@ -14,6 +14,7 @@ import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * <p>LabelElement class.</p>
@@ -29,15 +30,15 @@ public class LabelElement extends AbstractCdmFormElement {
 	/**
 	 * <p>Constructor for LabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param text a {@link java.lang.String} object.
 	 */
-	public LabelElement(CdmFormFactory formFactory, ICdmFormElement formElement, String text) {
+	public LabelElement(CdmFormFactoryFacade formFactory, ICdmFormElement formElement, String text) {
 		super(formFactory, formElement);
 		
 		label = formFactory.createLabel(getLayoutComposite(), text, SWT.WRAP);
-		label.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
+		label.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY(2, 1));
 		addControl(label);
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/MultilanguageTextElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/MultilanguageTextElement.java
index 1bf18da70..239911bd7 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/MultilanguageTextElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/MultilanguageTextElement.java
@@ -28,9 +28,10 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.MultilanguageTextHelper;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.LanguageStringWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.term.EmptyComboElement;
 import eu.etaxonomy.taxeditor.ui.translation.TranslationWizard;
 
@@ -90,7 +91,7 @@ public class MultilanguageTextElement extends AbstractCdmFormElement implements
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -104,7 +105,7 @@ public class MultilanguageTextElement extends AbstractCdmFormElement implements
 	 * @param style
 	 *            a int.
 	 */
-	public MultilanguageTextElement(CdmFormFactory formFactory,
+	public MultilanguageTextElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, String labelString,
 			Map<Language, LanguageString> multilanguageText,
 			Integer textHeight, int style) {
@@ -125,7 +126,7 @@ public class MultilanguageTextElement extends AbstractCdmFormElement implements
 			button = formFactory.createButton(getLayoutComposite(),
 					"Open In Translation Editor", SWT.PUSH);
 			addControl(button);
-			button.setLayoutData(CdmFormFactory.RIGHT());
+			button.setLayoutData(CdmFormFactoryFacade.RIGHT());
 			button.addSelectionListener(new OpenTranslationWizard(
 					multilanguageText));
 		}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PartialElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PartialElement.java
index 6e8df3c57..10439671d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PartialElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PartialElement.java
@@ -16,6 +16,7 @@ import org.eclipse.swt.widgets.Label;
 import org.joda.time.Partial;
 
 import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.NumberWithLabelElementFacade;
 
 /**
@@ -36,16 +37,16 @@ public class PartialElement extends AbstractCdmFormElement {
 	/**
 	 * <p>Constructor for PartialElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.CdmFormFactory} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param style a int.
 	 */
-	public PartialElement(CdmFormFactory formFactory,
+	public PartialElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, String labelString, int style) {
 		super(formFactory, formElement);
 		
-		formElement.getLayoutComposite().setLayout(CdmFormFactory.LAYOUT(7, false));
+		formElement.getLayoutComposite().setLayout(CdmFormFactoryFacade.LAYOUT(7, false));
 		
 		label = formFactory.createLabel(getLayoutComposite(), labelString);
 		addControl(label);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PointElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PointElement.java
index 3b8895bf4..56fe4e759 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PointElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/PointElement.java
@@ -16,9 +16,10 @@ import org.eclipse.jface.util.PropertyChangeEvent;
 
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.NumberWithLabelElementFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.term.ReferenceSystemComboElement;
 
 /**
@@ -50,7 +51,7 @@ public class PointElement extends AbstractCdmFormElement implements
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -60,7 +61,7 @@ public class PointElement extends AbstractCdmFormElement implements
 	 * @param style
 	 *            a int.
 	 */
-	public PointElement(CdmFormFactory formFactory,
+	public PointElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, Point point, final int style) {
 		super(formFactory, formElement);
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/RootElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/RootElement.java
index 4ca2ad87b..9d48b196b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/RootElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/RootElement.java
@@ -13,6 +13,8 @@ package eu.etaxonomy.taxeditor.ui.forms;
 import org.eclipse.swt.graphics.Color;
 import org.eclipse.swt.widgets.Composite;
 
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+
 /**
  * <p>RootElement class.</p>
  *
@@ -25,10 +27,10 @@ public class RootElement extends AbstractCdmFormElement {
 	/**
 	 * <p>Constructor for RootElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param layoutComposite a {@link org.eclipse.swt.widgets.Composite} object.
 	 */
-	public RootElement(CdmFormFactory formFactory, Composite layoutComposite) {
+	public RootElement(CdmFormFactoryFacade formFactory, Composite layoutComposite) {
 		super(formFactory, layoutComposite);
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TextActionElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TextActionElement.java
index 0d19fd0fd..32192cdfd 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TextActionElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TextActionElement.java
@@ -14,6 +14,7 @@ import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * <p>TextActionElement class.</p>
@@ -32,26 +33,26 @@ public class TextActionElement extends AbstractCdmFormElement implements ModifyL
 	 * <p>Constructor for TextActionElement.</p>
 	 *
 	 * @param style a int.
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param buttonLabel a {@link java.lang.String} object.
 	 * @param initialText a {@link java.lang.String} object.
 	 */
-	protected TextActionElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString, String buttonLabel, String initialText, int style) {
+	public TextActionElement(CdmFormFactoryFacade toolkit, ICdmFormElement parentElement, String labelString, String buttonLabel, String initialText, int style) {
 		super(toolkit, parentElement);
 		
 		label = toolkit.createLabel(getLayoutComposite(), labelString, SWT.WRAP);
 		addControl(label);
 		
 		box = formFactory.createComposite(getLayoutComposite());
-		box.setLayout(CdmFormFactory.LAYOUT(2, false));
-		box.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		box.setLayout(CdmFormFactoryFacade.LAYOUT(2, false));
+		box.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		addControl(box);
 		
 		text = toolkit.createText(box, "", style);
 		addControl(text);
-		text.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		text.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		
 		setText(CdmUtils.Nz(initialText));
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TimePeriodElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TimePeriodElement.java
index aa728eb6b..ec57311ef 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TimePeriodElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/TimePeriodElement.java
@@ -16,6 +16,7 @@ import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.forms.widgets.Section;
 
 import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * <p>
@@ -40,7 +41,7 @@ public class TimePeriodElement extends AbstractCdmFormElement {
 	 * @param style
 	 *            a int.
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param parentElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -50,7 +51,7 @@ public class TimePeriodElement extends AbstractCdmFormElement {
 	 * @param timePeriod
 	 *            a {@link eu.etaxonomy.cdm.model.common.TimePeriod} object.
 	 */
-	public TimePeriodElement(CdmFormFactory formFactory,
+	public TimePeriodElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			TimePeriod timePeriod, final int style) {
 		super(formFactory, parentElement);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ToggleableTextElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ToggleableTextElement.java
index 1a7a09a33..dccd488c8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ToggleableTextElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/ToggleableTextElement.java
@@ -27,6 +27,7 @@ import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.taxeditor.preference.Resources;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 
 /**
@@ -50,13 +51,13 @@ public class ToggleableTextElement extends AbstractCdmFormElement implements Sel
 	 * <p>Constructor for ToggleableTextElement.</p>
 	 *
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialText a {@link java.lang.String} object.
 	 * @param initialState a boolean.
 	 */
-	protected ToggleableTextElement(CdmFormFactory formFactory, ICdmFormElement parentElement,
+	public ToggleableTextElement(CdmFormFactoryFacade formFactory, ICdmFormElement parentElement,
 			String labelString, String initialText, boolean initialState, int style) {
 		super(formFactory, parentElement);
 		
@@ -64,14 +65,14 @@ public class ToggleableTextElement extends AbstractCdmFormElement implements Sel
 		addControl(label);
 		
 		container = formFactory.createComposite(getLayoutComposite(), SWT.WRAP);		
-		container.setLayout(CdmFormFactory.LAYOUT(2, false));
-		container.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		container.setLayout(CdmFormFactoryFacade.LAYOUT(2, false));
+		container.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		addControl(container);
 		
 		text_cache = formFactory.createText(container, initialText, SWT.WRAP | SWT.MULTI);
 		addControl(text_cache);
 		text_cache.addModifyListener(this);
-		text_cache.setLayoutData(CdmFormFactory.FILL());
+		text_cache.setLayoutData(CdmFormFactoryFacade.FILL());
 
 		// Don't accept carriage returns as input
 		text_cache.addKeyListener( new KeyAdapter(){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/EditPasswordElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/EditPasswordElement.java
index 1a221a00b..80aedfb68 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/EditPasswordElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/EditPasswordElement.java
@@ -21,8 +21,8 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -41,7 +41,7 @@ public class EditPasswordElement extends AbstractCdmFormElement implements Selec
 	 * @param formFactory
 	 * @param formElement
 	 */
-	public EditPasswordElement(CdmFormFactory formFactory,
+	public EditPasswordElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement, String labelString, User user, ConversationHolder conversation) {
 		super(formFactory, formElement);
 		
@@ -54,7 +54,7 @@ public class EditPasswordElement extends AbstractCdmFormElement implements Selec
 		String buttonLabelString = (labelString != null) ? labelString : "Change Password";
 		
 		button = formFactory.createButton(getLayoutComposite(), buttonLabelString, SWT.PUSH);
-		button.setLayoutData(CdmFormFactory.RIGHT());
+		button.setLayoutData(CdmFormFactoryFacade.RIGHT());
 		addControl(button);
 		
 		button.addSelectionListener(this);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizard.java
index cdf87cd73..67e26f4e9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/password/PasswordWizard.java
@@ -18,8 +18,8 @@ import eu.etaxonomy.cdm.api.service.IUserService;
 import eu.etaxonomy.cdm.model.common.User;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 
 /**
  * @author n.hoffmann
@@ -42,7 +42,7 @@ public class PasswordWizard extends Wizard implements IConversationEnabled{
 	 */
 	@Override
 	public void addPages() {
-		CdmFormFactory formFactory = new CdmFormFactory(DisplayProxy.getDefault());
+		CdmFormFactoryFacade formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault());
 		
 //		if(CdmStore.getLoginManager().isAdmin()){
 //			
